Skip to main content
文档管理

查询文件详情列表

查询文档的详细信息,包括切片数量和解析状态

POST
/api/v1/indices/rag/list/index/file/details
cURL
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/list/index/file/details" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "indexId": "your_index_id",
    "pageNumber": 1,
    "pageSize": 10
  }'
{
  "code": "Success",
  "status_code": 200,
  "data": {
    "page_number": 1,
    "total_count": 1,
    "rows": [
      {
        "chunkSize": 600,
        "connectorId": "conn_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx_xxxxxx",
        "overlapSize": 100,
        "doc_type": "md",
        "gmt_modified": 1782184640000,
        "doc_id": "file_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx_xxxxxx",
        "categoryName": "默认类目",
        "separator": " |,|,|。|?|!|\n|\\?|\\!",
        "tags": [],
        "ingestion_id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
        "size": 21,
        "doc_name": "a",
        "chunkMode": "auto",
        "canDelete": true,
        "source_id": "cate_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx_xxxxxx",
        "categoryId": "cate_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx_xxxxxx",
        "status": "FINISH"
      }
    ],
    "page_size": 1
  },
  "success": true,
  "message": "success",
  "request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "status": "SUCCESS"
}
该接口使用 camelCase 参数命名(如 pageNumberpageSize),与其他使用 snake_case 的接口不同。

Authorizations

string
header
required

DashScope API Key,在控制台 API Key 页面(https://agent.console.aliyun.com/settings/apikey)获取。

Body

application/json
string
required

知识库 ID。

integer
default1

页码,从 1 开始。注意使用 camelCase 命名。

x >= 1
integer
default10

每页返回的文档数量,默认 10,最大 10。

1 <= x <= 10

Response

200-application/json
string

响应码,成功时为 Success

integer

HTTP 状态码。

string

请求唯一标识,排查问题时请提供此 ID。

object
Managed Agent API
RAG API
Connector API
Memory API
框架集成
  • 框架